> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Expense Comments

> Lists comments on an expense report for its owner or a scoped reviewer.

Required scope: `expenses:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-expense-comments
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-expense-comments:
    get:
      operationId: getExpenseComments
      summary: Get Expense Comments
      x-toku-required-scope: expenses:read
      description: |-
        Lists comments on an expense report for its owner or a scoped reviewer.

        Required scope: `expenses:read`
      parameters:
        - name: hrisExpenseReportID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetExpenseCommentsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetExpenseCommentsResponse:
      type: array
      items:
        type: object
        properties:
          commentID:
            type: string
          authorRoleInOrgID:
            type: string
          authorName:
            type: string
          body:
            type: string
          isInfoRequest:
            type: boolean
          createdAt:
            type: string
        required:
          - commentID
          - authorRoleInOrgID
          - authorName
          - body
          - isInfoRequest
          - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
